# Uses of Class
net.shibboleth.idp.saml.attribute.resolver.impl.SAML2NameIDAttributeDefinition

Packages that use SAML2NameIDAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.spring.ad.impl
Implementation of the Attribute Definition parsers.

## Uses of SAML2NameIDAttributeDefinition in net.shibboleth.idp.attribute.resolver.spring.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.impl that return types with arguments of type SAML2NameIDAttributeDefinition
Modifier and Type
Method
Description
`protected Class<SAML2NameIDAttributeDefinition>`
SAML2NameIDAttributeDefinitionParser.`getBeanClass(Element element)`